# $Revision: 1.9 $, $Date: 2007-12-26 22:06:31 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	Tiny
Summary:	Config::Tiny - Read/Write .ini style files with as little code as possible
Summary(pl.UTF-8):	Config::Tiny - czytanie/zapisywanie plików w stylu .ini w minimalnym kodzie
Name:		perl-Config-Tiny
Version:	2.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Config/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1df5a4ff37cd1d80532ddbe28015d1f0
URL:		http://search.cpan.org/dist/Config-Tiny/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(FindBin)
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Config::Tiny is a Perl class to read and write .ini style
configuration files with as little code as possible, reducing load
time and memory overhead. Memory usage is normally scoffed at in Perl,
but in my opinion should be at least kept in mind.

This module is primarily for reading human written files, and anything
we write shouldn't need to have documentation/comments. If you need
something with more power, move up to Config::Simple, Config::General
or one of the many other Config:: modules. To rephrase, Config::Tiny
does not preserve your comments, whitespace, or the order of your
config file.

%description -l pl.UTF-8
Config::Tiny to klasa Perla do odczytu i zapisu plików
konfiguracyjnych w stylu .ini przy użyciu tak małego kodu, jak to
możliwe, co zmniejsza czas ładowania i użycie pamięci. Użycie pamięci
jest zwykle wyśmiewane w Perlu, ale zdaniem autora powinno być
przynajmniej brane pod uwagę.

Ten moduł służy głównie do czytania plików napisanych przez ludzi i
wszystko co zapisujemy nie powinno potrzebować dokumentacji czy
komentarzy. Jeśli potrzebujemy czegoś o większych możliwościach,
można przerzucić się na Config::Simple, Config::General lub jeden z
wielu innych modułów Config::. Innymi słowy, Config::Tiny nie
zachowuje komentarzy, odstępów ani porządku w pliku konfiguracyjnym.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Config/Tiny.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Config-Tiny.spec,v $
Revision 1.9  2007-12-26 22:06:31  zbyniu
- up to 2.12

Revision 1.8  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.6  2006/12/22 12:08:55  qboosh
- updated to 2.10

Revision 1.5  2006/05/16 17:51:01  blaass
- up to 2.07

Revision 1.4  2006/03/13 23:02:13  agaran
- up to 2.05, rel 1 builds here

Revision 1.3  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/08/11 23:10:48  qboosh
- pl

Revision 1.1  2004/08/08 14:51:12  adamg
- new
